commit:     ae4a6734dc76afd7cf4af9666e31ad8dc47f1b3f
Author:     Matthew S. Turnbull <sparky <AT> bluefang-logic <DOT> com>
AuthorDate: Sun May 30 04:10:44 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jun  8 07:34:31 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ae4a6734

gnome-extra/cjs: 5.0.0 version bump

Bug: https://bugs.gentoo.org/792933
Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Matthew S. Turnbull <sparky <AT> bluefang-logic.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 gnome-extra/cjs/Manifest         |  1 +
 gnome-extra/cjs/cjs-5.0.0.ebuild | 73 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/gnome-extra/cjs/Manifest b/gnome-extra/cjs/Manifest
index 51eab144043..9e0f6d3009c 100644
--- a/gnome-extra/cjs/Manifest
+++ b/gnome-extra/cjs/Manifest
@@ -1,2 +1,3 @@
 DIST cjs-4.6.0.tar.gz 463060 BLAKE2B 
466f807539ea95eece8b468287582f2c085ce86a63cf37ed1489f6ed20c98dfcb7028c7679102526009b71aba7d737f6f56c9544bc926fbf5a0be540afeaee53
 SHA512 
b7b457b43b756918670c9acc1064fc5b424d7bb7ab826ec207595c98159f407411ceb6d3043d305570f21f7675e1b699d7e95466688835034e178e079e118dfe
 DIST cjs-4.8.2.tar.gz 600711 BLAKE2B 
d1506e599c05301083479df4145d3177c9cbb057d3ed260e9744994da70fe392eb2cd872dc00b1ef6269efe9442e32e16878ba975f57f1abc35851cb15e7bb97
 SHA512 
c607198847a3229443bbfa6906b05036295b6d7f95d3b355780b28e69382407a8f6ef5f637f411fbf2ae474c4c7c5f68f64fec6dd7a2e7f944945927f5efac91
+DIST cjs-5.0.0.tar.gz 601928 BLAKE2B 
b8d4e64472eefe15678fd2ebcd270161b779e5081b1f9fdff61c4410fdef601cff9bc948b423308059aa73de0b960d430711e8741c10511f758b41da8d96892f
 SHA512 
32524de39e17ffc3e70f83188aed5d6bcb39e9ac4d4a1aa980a1f45dfc7970c103868f270775fcd290de0a6c70035b61b04dc575c6bcc1375972aaa0abdd8e59

diff --git a/gnome-extra/cjs/cjs-5.0.0.ebuild b/gnome-extra/cjs/cjs-5.0.0.ebuild
new file mode 100644
index 00000000000..59ef8a7d5a6
--- /dev/null
+++ b/gnome-extra/cjs/cjs-5.0.0.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit meson pax-utils python-any-r1 virtualx
+
+DESCRIPTION="Linux Mint's fork of gjs for Cinnamon"
+HOMEPAGE="https://projects.linuxmint.com/cinnamon/ 
https://github.com/linuxmint/cjs";
+SRC_URI="https://github.com/linuxmint/cjs/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT || ( MPL-1.1 LGPL-2+ GPL-2+ )"
+SLOT="0"
+IUSE="+cairo examples gtk readline sysprof test"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+       dev-lang/spidermonkey:78
+       >=dev-libs/glib-2.58.0:2
+       >=dev-libs/gobject-introspection-1.58.3:=
+       >=dev-libs/libffi-3.2.1:0=
+
+       cairo? ( x11-libs/cairo[glib,X] )
+       readline? ( sys-libs/readline:0= )
+"
+DEPEND="
+       ${RDEPEND}
+       sysprof? ( >=dev-util/sysprof-capture-3.38.1:4 )
+       test? (
+               sys-apps/dbus
+
+               gtk? ( x11-libs/gtk+:3[introspection] )
+       )
+"
+BDEPEND="
+       ${PYTHON_DEPS}
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       default
+       python_fix_shebang build
+}
+
+src_configure() {
+       local emesonargs=(
+               $(meson_feature cairo)
+               $(meson_feature readline)
+               $(meson_feature sysprof profiler)
+               -Dinstalled_tests=false
+               $(meson_use !test skip_dbus_tests)
+               $(meson_use !test skip_gtk_tests)
+       )
+       meson_src_configure
+}
+
+src_test() {
+       virtx meson_src_test
+}
+
+src_install() {
+       meson_src_install
+
+       if use examples; then
+               docinto examples
+               dodoc "${S}"/examples/*
+       fi
+
+       # Required for cjs-console to run correctly on PaX systems
+       pax-mark mr "${ED}/usr/bin/cjs-console"
+}

Reply via email to